summaryrefslogtreecommitdiffstats
path: root/linhes/linhes-system/lh_system_start.sh
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2023-02-04 20:51:40 (GMT)
committerBritney Fransen <brfransen@gmail.com>2023-02-04 20:51:40 (GMT)
commit4d54378232c5ad60c4778dec8eb20fb035abc530 (patch)
tree4eca11a2b91deac99497ccb8e749f69f763b22a7 /linhes/linhes-system/lh_system_start.sh
parentc0746b5acaab1c88ddc96dee3bd97dfdda3e4f06 (diff)
downloadlinhes_pkgbuild-4d54378232c5ad60c4778dec8eb20fb035abc530.zip
linhes_pkgbuild-4d54378232c5ad60c4778dec8eb20fb035abc530.tar.gz
linhes_pkgbuild-4d54378232c5ad60c4778dec8eb20fb035abc530.tar.bz2
linhes-system: remove mythtv deps and install on first run
Diffstat (limited to 'linhes/linhes-system/lh_system_start.sh')
-rwxr-xr-xlinhes/linhes-system/lh_system_start.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/linhes/linhes-system/lh_system_start.sh b/linhes/linhes-system/lh_system_start.sh
index 257f800..fb21b92 100755
--- a/linhes/linhes-system/lh_system_start.sh
+++ b/linhes/linhes-system/lh_system_start.sh
@@ -65,10 +65,11 @@ function storage_scan(){
function install_lh_apps(){
#install programs that are not needed on the iso
msg "Installing apps."
- #sudo pacman -Syyy --noconfirm archlinux-keyring
+ sudo pacman -Syyy --noconfirm archlinux-keyring
#sudo pacman -Syyy --noconfirm flatpak firefox glances mlocate mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb ncdu x11vnc
- #status=$?
- #[ $status -eq 1 ] && msg "Could not install apps. Check internet connection. Cancelling Setup." && exit 1
+ sudo pacman -Syyy --noconfirm mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb
+ status=$?
+ [ $status -eq 1 ] && msg "Could not install apps. Check internet connection. Cancelling Setup." && exit 1
flatpak install tv.plex.PlexHTPC --noninteractive --assumeyes
gen_lib_xml.py
}
@@ -85,7 +86,7 @@ function sql_setup(){
}
function localweb_setup(){
- #sudo pacman -Syyy --noconfirm linhes-web
+ sudo pacman -Syyy --noconfirm linhes-web
sudo cp /etc/lighttpd/lighttpd.conf /etc/lighttpd/lighttpd.conf.orig
sudo cp /usr/share/linhes/templates/lighttpd.conf.template /etc/lighttpd/lighttpd.conf
sudo systemctl enable --now lighttpd.service